/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.work.dao.report;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.work.entity.report.WorkReport;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 工作日志DAO接口
 * @author 许凯
 * @version 2017-04-21
 */
@MyBatisDao
public interface WorkReportDao extends CrudDao<WorkReport> {

	public List<WorkReport> findGetList(WorkReport workReport);
	public List getCreateDateList(Map<String,String> map);
	public List getCreateDateList1(Map<String,String> map);
	public List findByCompany1(Map<String,String> map);
	public List getCreateDateListAll(Map<String,String> map);
	public List findByCompanyAll(Map<String,String> map);
	public List<WorkReport> findByCompany2(@Param("wr") WorkReport workReport,@Param("date") String date);
	public List<WorkReport> findByCompany(WorkReport workReport);
	public List<WorkReport> findReportUserByCompany(WorkReport workReport);
	public List<WorkReport> findOutList(WorkReport workReport);

	public List<WorkReport> findByManage(Map<String,Object> map);
	public List<WorkReport> findByCompanySelf(Map<String,Object> map);
	public WorkReport findNewId();

	//更新选择的环信群组
	void updateEasemobGroupId(WorkReport workReport);

    //查询某一天自己的工作
	public List<WorkReport> reportlist(Map<String,Object> map);
	public List<WorkReport> reportlistAll(Map<String,Object> map);
}